class T{
	<T> T func(T obj) {
		return obj;
	}
	void func(){
		String s1 = "abc";
		String s2 = this.<String>func(s1);
		System.out.println(s2);
	}

	public static void main(String[] args){
		T t=new T();
		t.func();
	}
}


